Package org.opensaml.soap.wstrust

# Interface BinarySecret

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSTrustObject`, `XMLObject`, `XSBase64Binary`

All Known Implementing Classes:
  `BinarySecretImpl`

public interface BinarySecret extends XSBase64Binary, AttributeExtensibleXMLObject, WSTrustObject
The wst:BinarySecret element.

See Also:
  - `Entropy`
  - "WS-Trust 1.3, Chapter 3.3 Binary Secrets."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_ASYMMETRIC_KEY`
Type attribute AsymmetricKey URI.
`static final String`
`TYPE_ATTRIB_NAME`
wst:BinarySecret/@Type attribute local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`TYPE_NONCE`
Type attribute Nonce URI.
`static final String`
`TYPE_SYMMETRIC_KEY`
Type attribute SymmetricKey URI.

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Returns the wst:BinarySecret/@Type attribute value.
`void`
`setType(String type)`
Sets the wst:BinarySecret/@Type attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String TYPE_ATTRIB_NAME
wst:BinarySecret/@Type attribute local name.

See Also:
  - Constant Field Values

### TYPE_ASYMMETRIC_KEY

@Nonnull @NotEmpty static final String TYPE_ASYMMETRIC_KEY
Type attribute AsymmetricKey URI.

See Also:
  - Constant Field Values

### TYPE_SYMMETRIC_KEY

@Nonnull @NotEmpty static final String TYPE_SYMMETRIC_KEY
Type attribute SymmetricKey URI.

See Also:
  - Constant Field Values

### TYPE_NONCE

@Nonnull @NotEmpty static final String TYPE_NONCE
Type attribute Nonce URI.

See Also:
  - Constant Field Values

## Method Details

### getType

@Nullable String getType()
Returns the wst:BinarySecret/@Type attribute value.

Returns:
  the Type attribute value.

### setType

void setType(@Nullable String type)
Sets the wst:BinarySecret/@Type attribute value.

Parameters:
  `type` - the Type attribute value to set.